Apache Tomcat 7.0.42

## org.apache.catalina.startup
Class WebRuleSet

    java.lang.Object
      org.apache.tomcat.util.digester.RuleSetBase
          org.apache.catalina.startup.WebRuleSet

All Implemented Interfaces:
  RuleSet

    public class WebRuleSet

extends RuleSetBase

RuleSet for processing the contents of a web application deployment descriptor (`/WEB-INF/web.xml`) resource.

Version:
  $Id: WebRuleSet.java 1431300 2013-01-10 11:47:49Z markt $
Author:
  Craig R. McClanahan

Field Summary
`protected org.apache.catalina.startup.AbsoluteOrderingRule` `absoluteOrdering` The `AbsoluteOrderingRule` rule used to parse the web.xml
`protected boolean` `fragment` Flag that indicates if this ruleset is for a web-fragment.xml file or for a web.xml file.
`protected String` `fullPrefix` The full pattern matching prefix, including the webapp or web-fragment component, to use for matching elements
`protected org.apache.catalina.startup.SetJspConfig` `jspConfig` The `SetJspConfig` rule used to parse the web.xml
`protected org.apache.catalina.startup.SetLoginConfig` `loginConfig` The `SetLoginConfig` rule used to parse the web.xml
`protected org.apache.catalina.startup.NameRule` `name` The `NameRule` rule used to parse the web.xml
`protected String` `prefix` The matching pattern prefix to use for recognizing our elements.
`protected org.apache.catalina.startup.RelativeOrderingRule` `relativeOrdering` The `RelativeOrderingRule` rule used to parse the web.xml
`protected org.apache.catalina.startup.SetSessionConfig` `sessionConfig` The `SetSessionConfig` rule used to parse the web.xml
`protected static StringManager` `sm` The string resources for this package.

Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`WebRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix and default fragment setting.
`WebRuleSet(boolean fragment)` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`WebRuleSet(String prefix, boolean fragment)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`protected void` `configureInjectionRules(Digester digester, String base)`
`protected void` `configureNamingRules(Digester digester)`
`void` `recycle()` Reset counter used for validating the web.xml file.

Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  The string resources for this package.

### prefix

    protected String prefix

  The matching pattern prefix to use for recognizing our elements.

### fullPrefix

    protected String fullPrefix

  The full pattern matching prefix, including the webapp or web-fragment component, to use for matching elements

### fragment

    protected boolean fragment

  Flag that indicates if this ruleset is for a web-fragment.xml file or for a web.xml file.

### sessionConfig

    protected org.apache.catalina.startup.SetSessionConfig sessionConfig

  The `SetSessionConfig` rule used to parse the web.xml

### loginConfig

    protected org.apache.catalina.startup.SetLoginConfig loginConfig

  The `SetLoginConfig` rule used to parse the web.xml

### jspConfig

    protected org.apache.catalina.startup.SetJspConfig jspConfig

  The `SetJspConfig` rule used to parse the web.xml

### name

    protected org.apache.catalina.startup.NameRule name

  The `NameRule` rule used to parse the web.xml

### absoluteOrdering

    protected org.apache.catalina.startup.AbsoluteOrderingRule absoluteOrdering

  The `AbsoluteOrderingRule` rule used to parse the web.xml

### relativeOrdering

    protected org.apache.catalina.startup.RelativeOrderingRule relativeOrdering

  The `RelativeOrderingRule` rule used to parse the web.xml

Constructor Detail

### WebRuleSet

    public WebRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix and default fragment setting.

### WebRuleSet

    public WebRuleSet(boolean fragment)

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### WebRuleSet

    public WebRuleSet(String prefix,
                      boolean fragment)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

  Parameters:
    `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Specified by:
    `addRuleInstances` in interface `RuleSet`
  Specified by:
    `addRuleInstances` in class `RuleSetBase`
  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

### configureNamingRules

    protected void configureNamingRules(Digester digester)

### configureInjectionRules

    protected void configureInjectionRules(Digester digester,
                                           String base)

### recycle

    public void recycle()

  Reset counter used for validating the web.xml file.

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.